Bug 1290473 - [GSS](6.4.z) EJB thread pool keepalive not honored and is not reusing inactive threads
[GSS](6.4.z) EJB thread pool keepalive not honored and is not reusing inactiv...
Status: CLOSED CANTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panagiotis Sotiropoulos
Jan Martiska
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 10:48 EST by Brad Maxwell
Modified: 2016-03-24 19:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-24 19:39:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-3499 Major Open EJB thread pool keepalive not honored and is not reusing inactive threads 2017-08-01 09:21 EDT
JBoss Issue Tracker JBTHR-34 Major Open Allow idle thread reusage. 2017-08-01 09:21 EDT
JBoss Issue Tracker PRODMGT-1401 Major Resolved Fine-grained control on ejb3 thread-pool and reuse idle threads in pool before creating new 2017-08-01 09:21 EDT

  None (edit)
Description Brad Maxwell 2015-12-10 10:48:10 EST
With the default configuration below, the keepalive-time does not have any effect and it is creating a new thread on every request even when there are idle threads.

        <subsystem xmlns="urn:jboss:domain:ejb3:1.5">
            ...
            <thread-pools>
                <thread-pool name="default">
                    <max-threads count="10"/>
                    <keepalive-time time="100" unit="milliseconds"/>
                </thread-pool>
            </thread-pools>
        </subsystem>
Comment 8 Brad Maxwell 2016-03-24 19:39:38 EDT
The fix is not possible in EAP 6.4.z, the proposed fix is not safe and we will have to handle this via RFE: PRODMGT-1401 to resolve it correctly

Note You need to log in before you can comment on or make changes to this bug.